System.ServiceModel 4.0.0.0 System.ServiceModel.HttpBindingBase To be added.

Specifies basic https binding settings.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class with the specified type of security mode.

  The value of that specifies the type of security.
- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class with the specified type of configuration name.

  The binding configuration name for the BasicHttpsBindingElement.
- Method
  4.0.0.0
  System.ServiceModel.Channels.BindingElementCollection To be added.

  Returns an ordered collection of binding elements contained in the current binding.

  An ordered collection of binding elements contained in the current binding.

- Property
  4.0.0.0
  System.ServiceModel.WSMessageEncoding To be added. To be added.

  Gets or sets whether MTOM or Text is used to encode SOAP messages.

- Property
  4.0.0.0
  System.String To be added. To be added. To be added.
- Property
  4.0.0.0
  System.ServiceModel.BasicHttpsSecurity To be added. To be added.

  Gets the type of security used with the binding.